.body {
  background-color: #000;
  margin-left: 190px;
  margin-right: 190px;
}

.heading {
  color: #fff;
  margin-top: 117px;
  font-family: Arial, Helvetica Neue, Helvetica, sans-serif;
  font-size: 40px;
  font-weight: 700;
}

.text-block {
  color: #fff;
}

.modely-holder {
  background-image: url('../images/modely.avif');
  background-position: 50%;
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: scroll;
  height: 640px;
  padding-top: 24px;
}

.heading-2 {
  color: #fff;
  text-align: center;
  font-size: 28px;
  font-weight: 700;
}

.text-block-2 {
  color: #fff;
  text-align: center;
  font-size: 20px;
  font-weight: 400;
  text-decoration: none;
}

.bold-text, .bold-text-2 {
  text-decoration: none;
}

.bold-text-3 {
  font-weight: 400;
  text-decoration: line-through;
}

.buttonholder {
  text-align: center;
  flex-flow: wrap;
  justify-content: center;
  align-items: center;
  margin-top: 454px;
  display: flex;
}

.order-now {
  background-color: #fff6;
  border-radius: 4px;
  justify-content: center;
  align-items: center;
  width: 206px;
  height: 40px;
  margin-right: 8px;
  padding-top: 4px;
  padding-bottom: 4px;
  transition: all .5s;
  display: flex;
}

.order-now:hover {
  background-color: #ffffff40;
}

.order-now:active {
  border: 5px solid #fff;
  border-radius: 4px;
}

.explore {
  mix-blend-mode: normal;
  background-color: #fff0;
  border: 3px solid #fff;
  border-radius: 4px;
  justify-content: center;
  align-items: center;
  width: 206px;
  height: 40px;
  margin-left: 8px;
  padding-top: 4px;
  padding-bottom: 4px;
  transition: all .5s;
  display: flex;
}

.explore:hover {
  color: #000;
  background-color: #fff;
  border-color: #fff;
}

.explore:active {
  border-width: 5px;
  border-color: #000;
}

.div-block-3 {
  grid-column-gap: 5px;
  grid-row-gap: 5px;
  grid-template-rows: auto auto;
  grid-template-columns: 1fr 1fr;
  grid-auto-columns: 1fr;
  display: grid;
}

.text-block-3 {
  color: #fff;
  text-align: center;
  margin-top: 70px;
  margin-bottom: 70px;
}

.div-block-4 {
  justify-content: center;
  align-items: center;
  margin-bottom: 0;
  padding-bottom: 10px;
  display: flex;
}

.bold-text-4 {
  margin-left: 10px;
}

.bold-text-5 {
  color: #fff;
  margin-right: 10px;
  text-decoration: none;
}

.link {
  color: #fff;
  -webkit-text-stroke-color: #fff;
  text-decoration: underline;
}

.link:visited {
  color: #fff;
}

.link-2, .link-3 {
  color: #fff;
  text-decoration: none;
}

.model3-holder {
  background-image: url('../images/modelnv35.avif');
  background-position: 50%;
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: scroll;
  height: 640px;
  padding-top: 24px;
}

.modelx-holder {
  background-image: url('../images/model_x.avif');
  background-position: 50%;
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: scroll;
  height: 640px;
  padding-top: 24px;
}

.models-holder {
  background-image: url('../images/model_s.avif');
  background-position: 50%;
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: scroll;
  height: 640px;
  padding-top: 24px;
}

.cyberttruck-holder {
  background-image: url('../images/modelct.avif');
  background-position: 50%;
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: scroll;
  height: 640px;
  padding-top: 24px;
}

.inventory-holder {
  background-image: url('../images/inventory.avif');
  background-position: 50%;
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: scroll;
  height: 640px;
  padding-top: 24px;
}

.solar-holder {
  background-image: url('../images/solar_panels.avif');
  background-position: 50%;
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: scroll;
  height: 640px;
  padding-top: 24px;
}

.header {
  margin-top: 20px;
  margin-left: 45px;
  display: flex;
  position: absolute;
  inset: 0% auto auto 0%;
}

.div-block-6 {
  background-color: #fff0;
  background-image: url('../images/WHITEtesla-9-logo.svg');
  background-position: 50%;
  background-size: cover;
  width: 120px;
}

.text-block-4 {
  color: #fff;
  margin-left: 20px;
  margin-right: 20px;
}

.utility-page-wrap {
  justify-content: center;
  align-items: center;
  width: 100vw;
  max-width: 100%;
  height: 100vh;
  max-height: 100%;
  display: flex;
}

.utility-page-content {
  text-align: center;
  flex-direction: column;
  width: 260px;
  display: flex;
}

.utility-page-form {
  flex-direction: column;
  align-items: stretch;
  display: flex;
}

@media screen and (max-width: 991px) {
  .body {
    margin-left: 10px;
    margin-right: 10px;
  }

  .buttonholder {
    margin-top: 425px;
  }

  .order-now, .explore {
    margin: 2px 8px;
  }

  .header {
    margin-left: 10px;
  }
}

@media screen and (max-width: 767px) {
  .heading {
    margin-top: 66px;
  }
}

@media screen and (max-width: 479px) {
  .body {
    margin-left: 5px;
    margin-right: 5px;
  }

  .div-block-3 {
    grid-template-columns: 1fr;
  }

  .header {
    grid-column-gap: 16px;
    grid-row-gap: 16px;
    grid-template-rows: auto auto;
    grid-template-columns: 1fr 1fr;
    grid-auto-columns: 1fr;
    width: 100vw;
    margin-left: 0;
    padding-left: 5px;
    display: flex;
  }
}


